Cannot compile JSPs in JBuilder X, or 2005 when the server is set to JBoss 4.02

概要: Cannot compile JSPs in JBuilder X, or 2005 when the server is set to JBoss 4.02

Issue:

When I attempt to compile a JSP in JBuilder X, or 2005 when the server is set to JBoss 4.02, I receive the following error:

"jsp1.jsp": java.lang.NoClassDefFoundError: org/apache/jasper/JspC

Solution:

JBoss 4.02 is not certified to work with JBuilder 2005, it is recommended in this case to use JBoss 4.0, or 4.01.

JBoss 4.02 seems to work fine in JBuilder 2006.